// Author: Matt Langston
// Date: 2013.02.07
// A draggable view.
// See https://jira.appcelerator.org/browse/TIMOB-7999
"use strict";
(function() {
	var win = Ti.UI.createWindow({
		title : 'Touches',
		backgroundColor : 'black'
	});

	var views = {};
	var colors = ['Yellow', 'Cyan', 'Magenta'];
	var top = 90;
	var left = 10;
	for (var i = 0; i < colors.length; ++i) {
		var color = colors[i];
		var image = String.format('images/%sSquare.png', color);
		Ti.API.info(String.format("image: %s, top: %d, left: %d", image, top, left));
		var imageView = Ti.UI.createImageView({
			image : image,
			top : top,
			left : left,
			width: 100,
			height: 100,
			opacity : 0.9
		});
		top += 100;
		left += 100;

		views[color] = imageView;
		win.add(imageView);
	}

	var CacheInJavaScriptTransformMoveEventListeners = require('CacheInJavaScriptTransformMoveEventListeners');

	CacheInJavaScriptTransformMoveEventListeners(views['Yellow']);
	CacheInJavaScriptTransformMoveEventListeners(views['Cyan']);
	CacheInJavaScriptTransformMoveEventListeners(views['Magenta']);

	win.open();
})();
